WritableFile (Groovy 5.0.0)
Description: declaration: package: org.codehaus.groovy.runtime, class: WritableFile

Package org.codehaus.groovy.runtime

# Class WritableFile

java.lang.Object
java.io.File
org.codehaus.groovy.runtime.WritableFile

All Implemented Interfaces:
  `Writable`, `Serializable`, `Comparable<File>`

public class WritableFile extends File implements Writable
A Writable File.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.io.File

  `pathSeparator, pathSeparatorChar, separator, separatorChar`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WritableFile(File delegate)`
  `WritableFile(File delegate, String encoding)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Writer`
  `writeTo(Writer out)`
  Writes this object to the given writer.

  ### Methods inherited from class java.io.File

  `canExecute, canRead, canWrite, compareTo, createNewFile, createTempFile, createTempFile, delete, deleteOnExit, equals, exists, getAbsoluteFile, getAbsolutePath, getCanonicalFile, getCanonicalPath, getFreeSpace, getName, getParent, getParentFile, getPath, getTotalSpace, getUsableSpace, hashCode, isAbsolute, isDirectory, isFile, isHidden, lastModified, length, list, list, listFiles, listFiles, listFiles, listRoots, mkdir, mkdirs, renameTo, setExecutable, setExecutable, setLastModified, setReadable, setReadable, setReadOnly, setWritable, setWritable, toPath, toString, toURI, toURL`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WritableFile

    public WritableFile(File delegate)

  - ### WritableFile

    public WritableFile(File delegate, String encoding)

- ## Method Details

  - ### writeTo

    public Writer writeTo(Writer out) throws IOException
    Description copied from interface: `Writable`
    Writes this object to the given writer.

    This is used to defer content creation until the point when it is streamed to the output destination. Oftentimes, content will be defined but not necessarily created (as it may be the case with a Closure definition.) In that case, the output is then 'deferred' to the point when it is serialized to the writer. This class may be used whenever an object should be responsible for creating its own textual representation, but creating the entire output as a single String would be inefficient (such as outputting a multi-gigabyte XML document.)

    Specified by:
      `writeTo` in interface `Writable`
    Parameters:
      `out` - the Writer to which this Writable should output its data.
    Returns:
      the Writer that was passed
    Throws:
      `IOException` - if an error occurred while outputting data to the writer